Last Comment Bug 663844 - move layout/generic/test/*.xul to mochitest-chrome
: move layout/generic/test/*.xul to mochitest-chrome
Status: RESOLVED FIXED
[specialpowers]
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Joel Maher (:jmaher)
:
Mentors:
Depends on: 668716
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-13 08:53 PDT by Joel Maher (:jmaher)
Modified: 2012-03-19 17:01 PDT (History)
5 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
move layout/generic/test/*.xul to mochitest-chrome (1.0) (11.43 KB, patch)
2011-06-13 09:01 PDT, Joel Maher (:jmaher)
ted: review+
mstange: feedback+
Details | Diff | Review

Description Joel Maher (:jmaher) 2011-06-13 08:53:17 PDT
we are moving tests to mochitest-chrome that belong there are part of a test cleanup and preparation for removing enablePrivilege.
Comment 1 Joel Maher (:jmaher) 2011-06-13 09:01:09 PDT
Created attachment 538915 [details] [diff] [review]
move layout/generic/test/*.xul to mochitest-chrome (1.0)
Comment 2 Joel Maher (:jmaher) 2011-06-13 09:05:33 PDT
:roc, can you verify these tests will be testing the same thing when moved to mochitest-chrome:
layout/generic/test/test_backspace_delete.xul
layout/generic/test/test_bug508115.xul

:mstange, can you verify these tests will be testing the same thing when moved to mochitest-chrome:
layout/generic/test/test_bug469613.xul
layout/generic/test/test_bug469774.xul

Simon, can you verify this test will be testing the same thing when moved to mochitest-chrome:
layout/generic/test/test_bug632379.xul
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-13 17:02:50 PDT
Looks good to me.
Comment 4 Simon Montagu :smontagu 2011-06-13 20:56:04 PDT
Should be fine.
Comment 5 Ted Mielczarek [:ted.mielczarek] 2011-06-15 07:44:27 PDT
Comment on attachment 538915 [details] [diff] [review]
move layout/generic/test/*.xul to mochitest-chrome (1.0)

Review of attachment 538915 [details] [diff] [review]:
-----------------------------------------------------------------

::: layout/generic/test/Makefile.in
@@ +135,1 @@
>  		test_bug514732-2.xul \

Want to just reformat this to have two-space indent instead of tabs while you're here?
Comment 6 Joel Maher (:jmaher) 2011-06-17 10:26:30 PDT
Markus, can you verify these tests will be testing the same thing when moved to mochitest-chrome:
layout/generic/test/test_bug469613.xul
layout/generic/test/test_bug469774.xul
Comment 7 Joel Maher (:jmaher) 2011-06-24 09:57:10 PDT
Roc, can you verify these tests will be testing the same thing when moved to mochitest-chrome (I know you were just the reviewer):
layout/generic/test/test_bug469613.xul
layout/generic/test/test_bug469774.xul
Comment 8 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-06-24 16:10:32 PDT
Yes
Comment 9 Mounir Lamouri (:mounir) 2011-06-27 02:11:14 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/e6566aba249b

Note You need to log in before you can comment on or make changes to this bug.